Search Results for

Show / Hide Table of Contents

# Class TargetingProxyExtensions

Extension methods for ITargetingProxy.

##### Inheritance

object
TargetingProxyExtensions

##### Inherited Members

object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public static class TargetingProxyExtensions

### Methods

#### Apply(ITargetingProxy, TargetingData)

Sets properties in `targetingProxy` to values that are set in `targetingData`.

##### Declaration

    public static void Apply(this ITargetingProxy targetingProxy, TargetingData targetingData)

##### Parameters

Type | Name | Description
--- | --- | ---
ITargetingProxy | targetingProxy | Proxy to set properties in.
TargetingData | targetingData | Serializable container of values.

#### TakeSnapshot(ITargetingProxy)

Gets properties from `targetingProxy`.

##### Declaration

    public static TargetingData TakeSnapshot(this ITargetingProxy targetingProxy)

##### Parameters

Type | Name | Description
--- | --- | ---
ITargetingProxy | targetingProxy | Proxy to get properties from.

##### Returns

Type | Description
--- | ---
TargetingData | Serializable container of values.